Subject: Re: [PATCH v2] Documentation: Document each netlink family

From: Jakub Kicinski <[email-masked]>
Date: Fri, 17 Nov 2023 16:39:39 -0800

On Fri, 17 Nov 2023 15:17:02 -0700 Jonathan Corbet wrote:
> In principle I like this approach better.  There is one problem, though:
> 
> - In current kernels, on my machine, "make htmldocs" when nothing has
>   changed takes about 6s to complete.
> 
> - With this patch applied, it takes a little over 5 *minutes*.
> 
> Without having delved into it too far, I am guessing that the
> unconditional recreation of the netlink RST files is causing the rebuild
> of much of the documentation.  Even so, I don't quite get it.
> 
> That, clearly, would need to be fixed before this can go in.

FWIW on the C code-gen side we avoid touching the files if nothing
changed both at the Makefile level:

https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git/tree/tools/net/ynl/generated/Makefile#n28

And the tool itself actually generates to a tempfile and compares
if the output changed:

https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git/commit/?id=2b7ac0c87d985c92e519995853c52b9649ea4b07